ALSA project - the C library reference

Loading...
Searching...
No Matches
Macros | Typedefs | Functions
global.h File Reference

Application interface library for the ALSA driver. More...

Go to the source code of this file.

## Macros
#define | __ALSA_GLOBAL_H_
#define | __STRING(x)
| Return 'x' argument as string.
#define | __SND_DLSYM_VERSION(name, version)
| Helper macro for SND_DLSYM_BUILD_VERSION.
#define | SND_DLSYM_BUILD_VERSION(name, version)
| Appends the build version to the name of a versioned dynamic symbol.
#define | SND_DLSYM_VERSION(version)
| Returns the version of a dynamic symbol as a string.
#define | __snd_alloca(ptr, type)
| alloca helper macro.

## Typedefs
typedef struct _snd_async_handler | snd_async_handler_t
| Internal structure for an async notification client handler.
typedef void(* | snd_async_callback_t) (snd_async_handler_t *handler)
| Async notification callback.
typedef struct timeval | snd_timestamp_t
typedef struct timespec | snd_htimestamp_t

## Functions
const char * | snd_asoundlib_version (void)
| Returns the ALSA sound library version in ASCII format.
int | snd_dlpath (char *path, size_t path_len, const char *name)
| Compose the dynamic path.
void * | snd_dlopen (const char *file, int mode, char *errbuf, size_t errbuflen)
| Opens a dynamic library - ALSA wrapper for `dlopen`.
void * | snd_dlsym (void *handle, const char *name, const char *version)
| Resolves a symbol from a dynamic library - ALSA wrapper for `dlsym`.
int | snd_dlclose (void *handle)
| Closes a dynamic library - ALSA wrapper for `dlclose`.
int | snd_async_add_handler (snd_async_handler_t **handler, int fd, snd_async_callback_t callback, void *private_data)
| Registers an async handler.
int | snd_async_del_handler (snd_async_handler_t *handler)
| Deletes an async handler.
int | snd_async_handler_get_fd (snd_async_handler_t *handler)
| Returns the file descriptor assigned to an async handler.
int | snd_async_handler_get_signo (snd_async_handler_t *handler)
| Returns the signal number assigned to an async handler.
void * | snd_async_handler_get_callback_private (snd_async_handler_t *handler)
| Returns the private data assigned to an async handler.
struct snd_shm_area * | snd_shm_area_create (int shmid, void *ptr)
| Create a shm area record.
struct snd_shm_area * | snd_shm_area_share (struct snd_shm_area *area)
| Increase the reference counter of shm area record.
int | snd_shm_area_destroy (struct snd_shm_area *area)
| Release the shared area record.
int | snd_user_file (const char *file, char **result)
| Get the full file name.

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver

## Macro Definition Documentation

## ◆ __ALSA_GLOBAL_H_

#define __ALSA_GLOBAL_H_

header include loop protection